Сайт | Скачать | Видео | Wiki

Автор Тема: Blender не пускается пишет libpython2.5.so.10 ?  (Прочитано 5358 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Kliment

  • Гость
Установил питон а блендер не пускается Blender не пускается пишет libpython2.5.so.10 ?

Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #1 : 27 Май 2008, 04:00:03 »
Это сообщение говорит о том, что Блендер хочет от вас Питон версии 2.5.

В связи с этим, какая у вас версия Блендера и какая версия Питона установлены? Я тоже хочу посмотреть на этот Блендер  ;) . Раньше я пробовал более раннюю версию Блендера - под Питон 2.4 - там всё работало. У вас Блендер поновее будет. Откуда вы его скачали?

Kliment

  • Гость
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #2 : 27 Май 2008, 16:18:53 »
http://www.murga-linux.com/puppy/viewtopic.php?search_id=100191220&t=15602 скачал отсюдова вся проблема решилась путем перезагрузки иксов. Очень хочу блендер 2.46 это новый вышел совсем недавно http://www.blender.org/download/get-blender/ но когда скачал он не пустился :'( если кто сможет провести эксперимент запустить блендер пусть опишет что нуна делать ;)

Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #3 : 28 Май 2008, 17:48:01 »
Я сделал патч, который решит эту проблему с Питоном. К сожалению, он никак не влезет в дозволенный размер сообщения на форуме. Сегодня-завтра выложу на ftp и дам вам ссылку, чтобы скачать. ОК?  ;)

Кстати, вы не представляете (хотя, скорее всего, представляете), насколько PuppyRus нужен дизайнер!!!  ;D У нас регулярные проблемы с подбором оформления рабочего стола - нужен взгляд профессионала-дизайнера, которых среди нас нет.

Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #4 : 29 Май 2008, 01:28:58 »
Просто в том .pup для питона не все файлы есть. В том числе, нет выше упомянутого библиотечного файла. Но это я скоро исправлю.
Кому не критична версия Блендера, ставьте 2.43  - он запускается и работает нормально.

Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #5 : 29 Май 2008, 04:01:31 »
Цитировать
Xlib: extension "GLX" missing on display ":0.0".
Это потому что у вас пока нет библиотеки glx - OpenGL (в виндовой терминологии - аналог DirectX) Надо поставить OpenGL сначала.  Детали смотрите тут.
А с SDL всё правильно.


Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #6 : 29 Май 2008, 09:01:43 »
Сделал спец-пакет под Блендер и прочие графические программы и игры.
Теперь можете снести все питоны и т.д., которые вы установили - экономьте место в save-файле. Данный пакет размером 3М включает:

Python 2.5
libSDL 1.2.11
libvga 1.4.3
Mesa OpenGL 7.2


От вас требуется просто его установить (кликом) и перезапустить X. И свежий Блендер 2.46 будет работать.

Оффлайн Фарватер

  • Почетный участник
  • Ветеран
  • *
  • Сообщений: 552
  • Репутация: +41/-0
Re: Blender не пускается пишет libpython2.5.so.10 ?
« Ответ #7 : 08 Июнь 2008, 22:33:47 »
У кого стоят свежие (8.493) драйвера ATI, установленные отсюда - используйте, пожалуйста, облегченную версию данного пакета библиотек для Блендера.
Данная версия отличается от предыдущей тем, что в ней отсутствует библиотека OpenGL Mesa, которая включена в тот пакет драйверов.

(Дело в том, что версия OpenGL Mesa из предыдущей версии пакета не совместима с версией драйверов 8.493 ATI)